For the complete documentation index, see llms.txt. This page is also available as Markdown.

Playlist

Playlists

Search Playlists

get

Search for Playlists viewable by this user

Query parameters
playlistIdintegerOptional

Filter by Playlist Id

namestringOptional

Filter by partial Playlist name

userIdintegerOptional

Filter by user Id

tagsstringOptional

Filter by tags

exactTagsintegerOptional

A flag indicating whether to treat the tags filter as an exact match

logicalOperatorstringOptional

When filtering by multiple Tags, which logical operator should be used? AND|OR

ownerUserGroupIdintegerOptional

Filter by users in this UserGroupId

embedstringOptional

Embed related data such as regions, widgets, permissions, tags

folderIdintegerOptional

Filter by Folder ID

modifiedDateFromstringOptional

Filter by modified date, greater than or equal

modifiedDateTostringOptional

Filter by modified date, less than or equal

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/playlist
GET /api/playlist HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "playlistId": 1,
    "ownerId": 1,
    "name": "text",
    "regionId": 1,
    "isDynamic": 1,
    "filterMediaName": "text",
    "filterMediaNameLogicalOperator": "text",
    "filterMediaTags": "text",
    "filterExactTags": 1,
    "filterMediaTagsLogicalOperator": "text",
    "filterFolderId": 1,
    "maxNumberOfItems": 1,
    "createdDt": "text",
    "modifiedDt": "text",
    "duration": 1,
    "requiresDurationUpdate": 1,
    "enableStat": "text",
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "widgets": [
      {
        "widgetId": 1,
        "playlistId": 1,
        "ownerId": 1,
        "type": "text",
        "duration": 1,
        "displayOrder": 1,
        "useDuration": 1,
        "calculatedDuration": 1,
        "createdDt": "text",
        "modifiedDt": "text",
        "fromDt": 1,
        "toDt": 1,
        "schemaVersion": 1,
        "transitionIn": 1,
        "transitionOut": 1,
        "transitionDurationIn": 1,
        "transitionDurationOut": 1,
        "widgetOptions": [
          {
            "widgetId": 1,
            "type": "text",
            "option": "text",
            "value": "text"
          }
        ],
        "mediaIds": [
          1
        ],
        "audio": [
          {
            "widgetId": 1,
            "mediaId": 1,
            "volume": 1,
            "loop": 1
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "playlist": "text"
      }
    ],
    "permissions": [
      {
        "permissionId": 1,
        "entityId": 1,
        "groupId": 1,
        "objectId": 1,
        "isUser": 1,
        "entity": "text",
        "objectIdString": "text",
        "group": "text",
        "view": 1,
        "edit": 1,
        "delete": 1,
        "modifyPermissions": 1
      }
    ],
    "folderId": 1,
    "permissionsFolderId": 1
  }
]

Add a Playlist

post

Add a new Playlist

Body
namestringRequired

The Name for this Playlist

tagsstringOptional

Tags

isDynamicintegerRequired

Is this Playlist Dynamic?

filterMediaNamestringOptional

Add Library Media matching the name filter provided

logicalOperatorNamestringOptional

When filtering by multiple names in name filter, which logical operator should be used? AND|OR

filterMediaTagstringOptional

Add Library Media matching the tag filter provided

exactTagsintegerOptional

When filtering by Tags, should we use exact match?

logicalOperatorstringOptional

When filtering by Tags, which logical operator should be used? AND|OR

maxNumberOfItemsintegerOptional

Maximum number of items that can be assigned to this Playlist (dynamic Playlist only)

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
201

successful operation

application/json
post/playlist
POST /api/playlist HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 194

"name='text'&tags='text'&isDynamic=1&filterMediaName='text'&logicalOperatorName='text'&filterMediaTag='text'&exactTags=1&logicalOperator='text'&maxNumberOfItems=1&folderId=1"
201

successful operation

{
  "playlistId": 1,
  "ownerId": 1,
  "name": "text",
  "regionId": 1,
  "isDynamic": 1,
  "filterMediaName": "text",
  "filterMediaNameLogicalOperator": "text",
  "filterMediaTags": "text",
  "filterExactTags": 1,
  "filterMediaTagsLogicalOperator": "text",
  "filterFolderId": 1,
  "maxNumberOfItems": 1,
  "createdDt": "text",
  "modifiedDt": "text",
  "duration": 1,
  "requiresDurationUpdate": 1,
  "enableStat": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "widgets": [
    {
      "widgetId": 1,
      "playlistId": 1,
      "ownerId": 1,
      "type": "text",
      "duration": 1,
      "displayOrder": 1,
      "useDuration": 1,
      "calculatedDuration": 1,
      "createdDt": "text",
      "modifiedDt": "text",
      "fromDt": 1,
      "toDt": 1,
      "schemaVersion": 1,
      "transitionIn": 1,
      "transitionOut": 1,
      "transitionDurationIn": 1,
      "transitionDurationOut": 1,
      "widgetOptions": [
        {
          "widgetId": 1,
          "type": "text",
          "option": "text",
          "value": "text"
        }
      ],
      "mediaIds": [
        1
      ],
      "audio": [
        {
          "widgetId": 1,
          "mediaId": 1,
          "volume": 1,
          "loop": 1
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "playlist": "text"
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Playlist search by ID

get

Get the Playlist object specified by the provided playlistId

Path parameters
playlistIdintegerRequired

Numeric ID of the Playlist to get

Responses
200

successful operation

application/json

Class Playlist

playlistIdintegerOptional

The ID of this Playlist

ownerIdintegerOptional

The userId of the User that owns this Playlist

namestringOptional

The Name of the Playlist

regionIdintegerOptional

The RegionId if this Playlist is specific to a Region

isDynamicintegerOptional

Flag indicating if this is a dynamic Playlist

filterMediaNamestringOptional

Filter Name for a Dynamic Playlist

filterMediaNameLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Plalust names? OR|AND

filterMediaTagsstringOptional

Filter Tags for a Dynamic Playlist

filterExactTagsintegerOptional

Flag indicating whether to filter by exact Tag match

filterMediaTagsLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Tags? OR|AND

filterFolderIdintegerOptional

The ID of the folder to filter media items by

maxNumberOfItemsintegerOptional

Maximum number of Media items matching dynamic Playlist filters

createdDtstringOptional

The datetime this entity was created

modifiedDtstringOptional

The datetime this entity was last modified

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

requiresDurationUpdateintegerOptional

Flag indicating whether this Playlists requires a duration update

enableStatstringOptional

The option to enable the collection of Playlist Proof of Play statistics

folderIdintegerOptional

The id of the Folder this Playlist belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Playlist

get/playlist/{playlistId}
GET /api/playlist/{playlistId} HTTP/1.1
Accept: */*
200

successful operation

{
  "playlistId": 1,
  "ownerId": 1,
  "name": "text",
  "regionId": 1,
  "isDynamic": 1,
  "filterMediaName": "text",
  "filterMediaNameLogicalOperator": "text",
  "filterMediaTags": "text",
  "filterExactTags": 1,
  "filterMediaTagsLogicalOperator": "text",
  "filterFolderId": 1,
  "maxNumberOfItems": 1,
  "createdDt": "text",
  "modifiedDt": "text",
  "duration": 1,
  "requiresDurationUpdate": 1,
  "enableStat": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "widgets": [
    {
      "widgetId": 1,
      "playlistId": 1,
      "ownerId": 1,
      "type": "text",
      "duration": 1,
      "displayOrder": 1,
      "useDuration": 1,
      "calculatedDuration": 1,
      "createdDt": "text",
      "modifiedDt": "text",
      "fromDt": 1,
      "toDt": 1,
      "schemaVersion": 1,
      "transitionIn": 1,
      "transitionOut": 1,
      "transitionDurationIn": 1,
      "transitionDurationOut": 1,
      "widgetOptions": [
        {
          "widgetId": 1,
          "type": "text",
          "option": "text",
          "value": "text"
        }
      ],
      "mediaIds": [
        1
      ],
      "audio": [
        {
          "widgetId": 1,
          "mediaId": 1,
          "volume": 1,
          "loop": 1
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "playlist": "text"
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Edit a Playlist

put

Edit a Playlist

Path parameters
playlistIdintegerRequired

The PlaylistId to Edit

Body
namestringRequired

The Name for this Playlist

tagsstringOptional

Tags

isDynamicintegerRequired

Is this Playlist Dynamic?

filterMediaNamestringOptional

Add Library Media matching the name filter provided

logicalOperatorNamestringOptional

When filtering by multiple names in name filter, which logical operator should be used? AND|OR

filterMediaTagstringOptional

Add Library Media matching the tag filter provided

exactTagsintegerOptional

When filtering by Tags, should we use exact match?

logicalOperatorstringOptional

When filtering by Tags, which logical operator should be used? AND|OR

maxNumberOfItemsintegerOptional

Maximum number of items that can be assigned to this Playlist (dynamic Playlist only)

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
204

successful operation

No content

put/playlist/{playlistId}
PUT /api/playlist/{playlistId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 194

"name='text'&tags='text'&isDynamic=1&filterMediaName='text'&logicalOperatorName='text'&filterMediaTag='text'&exactTags=1&logicalOperator='text'&maxNumberOfItems=1&folderId=1"
204

successful operation

No content

Delete a Playlist

delete

Delete a Playlist

Path parameters
playlistIdintegerRequired

The PlaylistId to delete

Responses
204

successful operation

No content

delete/playlist/{playlistId}
DELETE /api/playlist/{playlistId} HTTP/1.1
Accept: */*
204

successful operation

No content

Copy Playlist

post

Copy a Playlist, providing a new name if applicable

Path parameters
playlistIdintegerRequired

The Playlist ID to Copy

Body
namestringRequired

The name for the new Playlist

copyMediaFilesintegerRequired

Flag indicating whether to make new Copies of all Media Files assigned to the Playlist being Copied

Responses
201

successful operation

application/json
post/playlist/copy/{playlistId}
POST /api/playlist/copy/{playlistId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 34

"name='text'&copyMediaFiles=1"
201

successful operation

{
  "playlistId": 1,
  "ownerId": 1,
  "name": "text",
  "regionId": 1,
  "isDynamic": 1,
  "filterMediaName": "text",
  "filterMediaNameLogicalOperator": "text",
  "filterMediaTags": "text",
  "filterExactTags": 1,
  "filterMediaTagsLogicalOperator": "text",
  "filterFolderId": 1,
  "maxNumberOfItems": 1,
  "createdDt": "text",
  "modifiedDt": "text",
  "duration": 1,
  "requiresDurationUpdate": 1,
  "enableStat": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "widgets": [
    {
      "widgetId": 1,
      "playlistId": 1,
      "ownerId": 1,
      "type": "text",
      "duration": 1,
      "displayOrder": 1,
      "useDuration": 1,
      "calculatedDuration": 1,
      "createdDt": "text",
      "modifiedDt": "text",
      "fromDt": 1,
      "toDt": 1,
      "schemaVersion": 1,
      "transitionIn": 1,
      "transitionOut": 1,
      "transitionDurationIn": 1,
      "transitionDurationOut": 1,
      "widgetOptions": [
        {
          "widgetId": 1,
          "type": "text",
          "option": "text",
          "value": "text"
        }
      ],
      "mediaIds": [
        1
      ],
      "audio": [
        {
          "widgetId": 1,
          "mediaId": 1,
          "volume": 1,
          "loop": 1
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "playlist": "text"
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Assign Library Items

post

Assign Media from the Library to this Playlist

Path parameters
playlistIdintegerRequired

The Playlist ID to assign to

Body
mediainteger[]Required

Array of Media IDs to assign

durationintegerOptional

Optional duration for all Media in this assignment to use on the Widget

useDurationintegerOptional

Optional flag indicating whether to enable the useDuration field

displayOrderintegerOptional

Optional integer to say which position this assignment should occupy in the list. If more than one media item is being added, this will be the position of the first one.

Responses
200

successful operation

application/json

Class Playlist

playlistIdintegerOptional

The ID of this Playlist

ownerIdintegerOptional

The userId of the User that owns this Playlist

namestringOptional

The Name of the Playlist

regionIdintegerOptional

The RegionId if this Playlist is specific to a Region

isDynamicintegerOptional

Flag indicating if this is a dynamic Playlist

filterMediaNamestringOptional

Filter Name for a Dynamic Playlist

filterMediaNameLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Plalust names? OR|AND

filterMediaTagsstringOptional

Filter Tags for a Dynamic Playlist

filterExactTagsintegerOptional

Flag indicating whether to filter by exact Tag match

filterMediaTagsLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Tags? OR|AND

filterFolderIdintegerOptional

The ID of the folder to filter media items by

maxNumberOfItemsintegerOptional

Maximum number of Media items matching dynamic Playlist filters

createdDtstringOptional

The datetime this entity was created

modifiedDtstringOptional

The datetime this entity was last modified

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

requiresDurationUpdateintegerOptional

Flag indicating whether this Playlists requires a duration update

enableStatstringOptional

The option to enable the collection of Playlist Proof of Play statistics

folderIdintegerOptional

The id of the Folder this Playlist belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Playlist

post/playlist/library/assign/{playlistId}
POST /api/playlist/library/assign/{playlistId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 59

"media=[1]&duration=1&useDuration=1&displayOrder=1"
200

successful operation

{
  "playlistId": 1,
  "ownerId": 1,
  "name": "text",
  "regionId": 1,
  "isDynamic": 1,
  "filterMediaName": "text",
  "filterMediaNameLogicalOperator": "text",
  "filterMediaTags": "text",
  "filterExactTags": 1,
  "filterMediaTagsLogicalOperator": "text",
  "filterFolderId": 1,
  "maxNumberOfItems": 1,
  "createdDt": "text",
  "modifiedDt": "text",
  "duration": 1,
  "requiresDurationUpdate": 1,
  "enableStat": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "widgets": [
    {
      "widgetId": 1,
      "playlistId": 1,
      "ownerId": 1,
      "type": "text",
      "duration": 1,
      "displayOrder": 1,
      "useDuration": 1,
      "calculatedDuration": 1,
      "createdDt": "text",
      "modifiedDt": "text",
      "fromDt": 1,
      "toDt": 1,
      "schemaVersion": 1,
      "transitionIn": 1,
      "transitionOut": 1,
      "transitionDurationIn": 1,
      "transitionDurationOut": 1,
      "widgetOptions": [
        {
          "widgetId": 1,
          "type": "text",
          "option": "text",
          "value": "text"
        }
      ],
      "mediaIds": [
        1
      ],
      "audio": [
        {
          "widgetId": 1,
          "mediaId": 1,
          "volume": 1,
          "loop": 1
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "playlist": "text"
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Order Widgets

post

Set the order of widgets in the Playlist

Path parameters
playlistIdintegerRequired

The Playlist ID to Order

Body
Responses
200

successful operation

application/json

Class Playlist

playlistIdintegerOptional

The ID of this Playlist

ownerIdintegerOptional

The userId of the User that owns this Playlist

namestringOptional

The Name of the Playlist

regionIdintegerOptional

The RegionId if this Playlist is specific to a Region

isDynamicintegerOptional

Flag indicating if this is a dynamic Playlist

filterMediaNamestringOptional

Filter Name for a Dynamic Playlist

filterMediaNameLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Plalust names? OR|AND

filterMediaTagsstringOptional

Filter Tags for a Dynamic Playlist

filterExactTagsintegerOptional

Flag indicating whether to filter by exact Tag match

filterMediaTagsLogicalOperatorstringOptional

Which logical operator should be used when filtering by multiple Tags? OR|AND

filterFolderIdintegerOptional

The ID of the folder to filter media items by

maxNumberOfItemsintegerOptional

Maximum number of Media items matching dynamic Playlist filters

createdDtstringOptional

The datetime this entity was created

modifiedDtstringOptional

The datetime this entity was last modified

durationintegerOptional

A read-only estimate of this Layout's total duration in seconds. This is equal to the longest region duration and is valid when the layout status is 1 or 2.

requiresDurationUpdateintegerOptional

Flag indicating whether this Playlists requires a duration update

enableStatstringOptional

The option to enable the collection of Playlist Proof of Play statistics

folderIdintegerOptional

The id of the Folder this Playlist belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this Playlist

post/playlist/order/{playlistId}
POST /api/playlist/order/{playlistId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 41

"widgets=[{'widgetId':1,'position':1}]"
200

successful operation

{
  "playlistId": 1,
  "ownerId": 1,
  "name": "text",
  "regionId": 1,
  "isDynamic": 1,
  "filterMediaName": "text",
  "filterMediaNameLogicalOperator": "text",
  "filterMediaTags": "text",
  "filterExactTags": 1,
  "filterMediaTagsLogicalOperator": "text",
  "filterFolderId": 1,
  "maxNumberOfItems": 1,
  "createdDt": "text",
  "modifiedDt": "text",
  "duration": 1,
  "requiresDurationUpdate": 1,
  "enableStat": "text",
  "tags": [
    {
      "tag": "text",
      "tagId": 1,
      "value": "text"
    }
  ],
  "widgets": [
    {
      "widgetId": 1,
      "playlistId": 1,
      "ownerId": 1,
      "type": "text",
      "duration": 1,
      "displayOrder": 1,
      "useDuration": 1,
      "calculatedDuration": 1,
      "createdDt": "text",
      "modifiedDt": "text",
      "fromDt": 1,
      "toDt": 1,
      "schemaVersion": 1,
      "transitionIn": 1,
      "transitionOut": 1,
      "transitionDurationIn": 1,
      "transitionDurationOut": 1,
      "widgetOptions": [
        {
          "widgetId": 1,
          "type": "text",
          "option": "text",
          "value": "text"
        }
      ],
      "mediaIds": [
        1
      ],
      "audio": [
        {
          "widgetId": 1,
          "mediaId": 1,
          "volume": 1,
          "loop": 1
        }
      ],
      "permissions": [
        {
          "permissionId": 1,
          "entityId": 1,
          "groupId": 1,
          "objectId": 1,
          "isUser": 1,
          "entity": "text",
          "objectIdString": "text",
          "group": "text",
          "view": 1,
          "edit": 1,
          "delete": 1,
          "modifyPermissions": 1
        }
      ],
      "playlist": "text"
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "folderId": 1,
  "permissionsFolderId": 1
}

Get Playlist Item Usage Report

get

Get the records for the playlist item usage report

Path parameters
playlistIdintegerRequired

The Playlist Id

Responses
200

successful operation

application/json
get/playlist/usage/{playlistId}
GET /api/playlist/usage/{playlistId} HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "displayId": 1,
    "displayTypeId": 1,
    "venueId": 1,
    "address": "text",
    "isMobile": 1,
    "languages": "text",
    "displayType": "text",
    "screenSize": 1,
    "isOutdoor": 1,
    "customId": "text",
    "costPerPlay": 1,
    "impressionsPerPlay": 1,
    "ref1": "text",
    "ref2": "text",
    "ref3": "text",
    "ref4": "text",
    "ref5": "text",
    "auditingUntil": 1,
    "display": "text",
    "description": "text",
    "defaultLayoutId": 1,
    "license": "text",
    "licensed": 1,
    "loggedIn": 1,
    "lastAccessed": 1,
    "incSchedule": 1,
    "emailAlert": 1,
    "alertTimeout": 1,
    "clientAddress": "text",
    "mediaInventoryStatus": 1,
    "macAddress": "text",
    "lastChanged": 1,
    "numberOfMacAddressChanges": 1,
    "lastWakeOnLanCommandSent": 1,
    "wakeOnLanEnabled": 1,
    "wakeOnLanTime": "text",
    "broadCastAddress": "text",
    "secureOn": "text",
    "cidr": "text",
    "latitude": 1,
    "longitude": 1,
    "clientType": "text",
    "clientVersion": "text",
    "clientCode": 1,
    "displayProfileId": 1,
    "currentLayoutId": 1,
    "screenShotRequested": 1,
    "storageAvailableSpace": 1,
    "storageTotalSpace": 1,
    "displayGroupId": 1,
    "currentLayout": "text",
    "defaultLayout": "text",
    "displayGroups": [
      {
        "displayGroupId": 1,
        "displayGroup": "text",
        "description": "text",
        "isDisplaySpecific": 1,
        "isDynamic": 1,
        "dynamicCriteria": "text",
        "dynamicCriteriaLogicalOperator": "text",
        "dynamicCriteriaTags": "text",
        "dynamicCriteriaExactTags": 1,
        "dynamicCriteriaTagsLogicalOperator": "text",
        "userId": 1,
        "tags": [
          {
            "tag": "text",
            "tagId": 1,
            "value": "text"
          }
        ],
        "bandwidthLimit": 1,
        "groupsWithPermissions": "text",
        "createdDt": "text",
        "modifiedDt": "text",
        "folderId": 1,
        "permissionsFolderId": 1,
        "ref1": "text",
        "ref2": "text",
        "ref3": "text",
        "ref4": "text",
        "ref5": "text"
      }
    ],
    "xmrChannel": "text",
    "xmrPubKey": "text",
    "lastCommandSuccess": 1,
    "deviceName": "text",
    "timeZone": "text",
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "overrideConfig": null,
    "bandwidthLimit": 1,
    "newCmsAddress": "text",
    "newCmsKey": "text",
    "orientation": "text",
    "resolution": "text",
    "commercialLicence": 1,
    "teamViewerSerial": "text",
    "webkeySerial": "text",
    "groupsWithPermissions": "text",
    "createdDt": "text",
    "modifiedDt": "text",
    "folderId": 1,
    "permissionsFolderId": 1,
    "countFaults": 1,
    "lanIpAddress": "text",
    "syncGroupId": 1,
    "osVersion": "text",
    "osSdk": "text",
    "manufacturer": "text",
    "brand": "text",
    "model": "text"
  }
]

Get Playlist Item Usage Report for Layouts

get

Get the records for the playlist item usage report for Layouts

Path parameters
playlistIdintegerRequired

The Playlist Id

Responses
200

successful operation

application/json
get/playlist/usage/layouts/{playlistId}
GET /api/playlist/usage/layouts/{playlistId} HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "layoutId": 1,
    "ownerId": 1,
    "campaignId": 1,
    "parentId": 1,
    "publishedStatusId": 1,
    "publishedStatus": "text",
    "publishedDate": "text",
    "backgroundImageId": 1,
    "schemaVersion": 1,
    "layout": "text",
    "description": "text",
    "backgroundColor": "text",
    "createdDt": "text",
    "modifiedDt": "text",
    "status": 1,
    "retired": 1,
    "backgroundzIndex": 1,
    "width": 1,
    "height": 1,
    "orientation": "text",
    "displayOrder": 1,
    "duration": 1,
    "statusMessage": "text",
    "enableStat": 1,
    "autoApplyTransitions": 1,
    "code": "text",
    "isLocked": true,
    "regions": [
      {
        "regionId": 1,
        "layoutId": 1,
        "ownerId": 1,
        "type": "text",
        "name": "text",
        "width": 1,
        "height": 1,
        "top": 1,
        "left": 1,
        "zIndex": 1,
        "syncKey": "text",
        "regionOptions": [
          {
            "regionId": 1,
            "option": "text",
            "value": "text"
          }
        ],
        "permissions": [
          {
            "permissionId": 1,
            "entityId": 1,
            "groupId": 1,
            "objectId": 1,
            "isUser": 1,
            "entity": "text",
            "objectIdString": "text",
            "group": "text",
            "view": 1,
            "edit": 1,
            "delete": 1,
            "modifyPermissions": 1
          }
        ],
        "duration": 1,
        "isDrawer": 1,
        "regionPlaylist": {
          "playlistId": 1,
          "ownerId": 1,
          "name": "text",
          "regionId": 1,
          "isDynamic": 1,
          "filterMediaName": "text",
          "filterMediaNameLogicalOperator": "text",
          "filterMediaTags": "text",
          "filterExactTags": 1,
          "filterMediaTagsLogicalOperator": "text",
          "filterFolderId": 1,
          "maxNumberOfItems": 1,
          "createdDt": "text",
          "modifiedDt": "text",
          "duration": 1,
          "requiresDurationUpdate": 1,
          "enableStat": "text",
          "tags": [
            {
              "tag": "text",
              "tagId": 1,
              "value": "text"
            }
          ],
          "widgets": [
            {
              "widgetId": 1,
              "playlistId": 1,
              "ownerId": 1,
              "type": "text",
              "duration": 1,
              "displayOrder": 1,
              "useDuration": 1,
              "calculatedDuration": 1,
              "createdDt": "text",
              "modifiedDt": "text",
              "fromDt": 1,
              "toDt": 1,
              "schemaVersion": 1,
              "transitionIn": 1,
              "transitionOut": 1,
              "transitionDurationIn": 1,
              "transitionDurationOut": 1,
              "widgetOptions": [
                {
                  "widgetId": 1,
                  "type": "text",
                  "option": "text",
                  "value": "text"
                }
              ],
              "mediaIds": [
                1
              ],
              "audio": [
                {
                  "widgetId": 1,
                  "mediaId": 1,
                  "volume": 1,
                  "loop": 1
                }
              ],
              "permissions": [
                {
                  "permissionId": 1,
                  "entityId": 1,
                  "groupId": 1,
                  "objectId": 1,
                  "isUser": 1,
                  "entity": "text",
                  "objectIdString": "text",
                  "group": "text",
                  "view": 1,
                  "edit": 1,
                  "delete": 1,
                  "modifyPermissions": 1
                }
              ],
              "playlist": "text"
            }
          ],
          "permissions": [
            {
              "permissionId": 1,
              "entityId": 1,
              "groupId": 1,
              "objectId": 1,
              "isUser": 1,
              "entity": "text",
              "objectIdString": "text",
              "group": "text",
              "view": 1,
              "edit": 1,
              "delete": 1,
              "modifyPermissions": 1
            }
          ],
          "folderId": 1,
          "permissionsFolderId": 1
        }
      }
    ],
    "tags": [
      {
        "tag": "text",
        "tagId": 1,
        "value": "text"
      }
    ],
    "folderId": 1,
    "permissionsFolderId": 1
  }
]

Enable Stats Collection

put

Set Enable Stats Collection? to use for the collection of Proof of Play statistics for a Playlist.

Path parameters
playlistIdintegerRequired

The Playlist ID

Body
enableStatstringRequired

The option to enable the collection of Media Proof of Play statistics

Responses
204

successful operation

No content

put/playlist/setenablestat/{playlistId}
PUT /api/playlist/setenablestat/{playlistId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 21

"enableStat='text'"
204

successful operation

No content

Playlist Select folder

put

Select Folder for Playlist

Path parameters
playlistIdintegerRequired

The Playlist ID

Body
folderIdintegerRequired

Folder ID to which this object should be assigned to

Responses
204

successful operation

No content

put/playlist/{id}/selectfolder
PUT /api/playlist/{id}/selectfolder HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 14

"folderId=1"
204

successful operation

No content

Playlist Convert

post

Create a global playlist from inline editor Playlist. * Assign created Playlist via sub-playlist Widget to region Playlist.

Path parameters
playlistIdintegerRequired

The Playlist ID

Body
namestringOptional

Optional name for the global Playlist.

Responses
201

successful operation

No content

post/playlist/{id}/convert
POST /api/playlist/{id}/convert HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 15

"name='text'"
201

successful operation

No content

Last updated

Was this helpful?